Bug 726725 - Error message states 'automountmapautomountmapname' while add/mod/del automountkey with empty automountmap name.
Summary: Error message states 'automountmapautomountmapname' while add/mod/del automou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-29 15:40 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Passing an empty map name to automountmap and automountkey commands will result in an error complaining about 'automountmapautomountmapname'. Consequence: The origin and identity of this value is not immediately clear. Fix: IPA tries to hide the LDAP implementation so often provides a different value for options and errors than is actually used. It may also use contrived internal names for uniqueness. It now tries harder to return the right value depending on the context so a more useful error message is returned. Fix: The right value, 'automountmap', is now returned.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-07-29 15:40:37 UTC
Description of problem:
As part of negative testing when I add/delete/mod/show/find a automountkey with
empty automountmap name I see the error message as 'automountmapautomountmapname'.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110728T0521zgit1b09ca5.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@bumblebee auto]# ipa automountkey-add pune 
Map: 
ipa: ERROR: 'automountmapautomountmapname' is required
[root@bumblebee auto]# ipa automountkey-del pune 
Map: 
ipa: ERROR: 'automountmapautomountmapname' is required
[root@bumblebee auto]# ipa automountkey-mod pune 
Map: 
ipa: ERROR: 'automountmapautomountmapname' is required
[root@bumblebee auto]# ipa automountkey-find pune 
Map: 
ipa: ERROR: 'automountmapautomountmapname' is required
[root@bumblebee auto]# ipa automountkey-show pune 
Map: 
ipa: ERROR: 'automountmapautomountmapname' is required
[root@bumblebee auto]# 

  
Actual results:
Error message states 'automountmapautomountmapname'.

Expected results:
Should be 'automountmapname'.

Additional info:

Comment 1 Rob Crittenden 2011-07-29 19:57:01 UTC
https://fedorahosted.org/freeipa/ticket/1549

Comment 2 Rob Crittenden 2011-08-17 21:09:53 UTC
Fixed upstream 

master: dca6cf1666f103d94cba2e54cdfe9cac998e98ad

ipa-2-1: 821fa37cb2079606995d36b3b195df9096d4cb8a

Comment 7 Gowrishankar Rajaiyan 2011-10-08 13:31:22 UTC
[root@bumblebee ~]# ipa automountkey-add pune 
Map: 
ipa: ERROR: 'automountmap' is required
[root@bumblebee ~]#

[root@bumblebee ~]# ipa automountkey-del pune 
Map: 
ipa: ERROR: 'automountmap' is required
[root@bumblebee ~]#

[root@bumblebee ~]# ipa automountkey-mod pune 
Map: 
ipa: ERROR: 'automountmap' is required
[root@bumblebee ~]# 

[root@bumblebee ~]# ipa automountkey-find pune 
Map: 
ipa: ERROR: 'automountmap' is required
[root@bumblebee ~]# 

[root@bumblebee ~]# ipa automountkey-show pune 
Map: 
ipa: ERROR: 'automountmap' is required
[root@bumblebee ~]# 


Verified.
[root@bumblebee ~]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 Rob Crittenden 2011-11-01 00:53:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Passing an empty map name to automountmap and automountkey commands will result in an error complaining about 'automountmapautomountmapname'.
Consequence: The origin and identity of this value is not immediately clear.
Fix: IPA tries to hide the LDAP implementation so often provides a different value for options and errors than is actually used. It may also use contrived internal names for uniqueness. It now tries harder to return the right value depending on the context so a more useful error message is returned.
Fix: The right value, 'automountmap', is now returned.

Comment 9 errata-xmlrpc 2011-12-06 18:29:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.